//
// Copyright (C) 1999-2004 Toshikaz Hirabayashi
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// TOSHIKAZ HIRABAYASHI BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
// OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
// Except as contained in this notice, the name of Toshikaz Hirabayashi shall
// not be used in advertising or otherwise to promote the sale, use or other
// dealings in this Software without prior written authorization from
// Toshikaz Hirabayashi.

#ifndef WSSDEF_H
#define WSSDEF_H

#define WSStitleString			_WSStitleString()
#define WSSuserString			_WSSuserString()
#define WSSuserValue			_WSSuserValue()
#define WSSx			_WSSx()
#define WSSy			_WSSy()
#define WSSwidth			_WSSwidth()
#define WSSheight			_WSSheight()
#define WSSshadowThickness			_WSSshadowThickness()
#define WSSbackColor			_WSSbackColor()
#define WSSforeColor			_WSSforeColor()
#define WSStopShadowColor			_WSStopShadowColor()
#define WSSbottomShadowColor			_WSSbottomShadowColor()
#define WSSshadowType			_WSSshadowType()
#define WSSvis			_WSSvis()
#define WSSdet			_WSSdet()
#define WSSlabelString			_WSSlabelString()
#define WSSfont			_WSSfont()
#define WSSfontName			_WSSfontName()
#define WSStitleBar			_WSStitleBar()
#define WSStwinBlink			_WSStwinBlink()
#define WSSblinkColor			_WSSblinkColor()
#define WSSblinkRefreshing			_WSSblinkRefreshing()
#define WSSpixmapStyle			_WSSpixmapStyle()
#define WSSlabelPixmap			_WSSlabelPixmap()
#define WSSkanjiIn			_WSSkanjiIn()
#define WSSinterCur			_WSSinterCur()
#define WSSinterval			_WSSinterval()
#define WSScont				_WSScont()
#define WSSrunning				_WSSrunning()
#define WSSextension			_WSSextension()
#define WSSmaxLength			_WSSmaxLength()
#define WSSworkWidth			_WSSworkWidth()
#define WSSworkHeight			_WSSworkHeight()
#define WSSbarValue			_WSSbarValue()
#define WSSvbarValue			_WSSvbarValue()
#define WSShbarValue			_WSShbarValue()
#define WSShbarVisible			_WSShbarVisible()
#define WSSvbarVisible			_WSSvbarVisible()
#define WSSworkBackColor			_WSSworkBackColor()
#define WSSbarThickness			_WSSbarThickness()
#define WSSincrement			_WSSincrement()
#define WSSpageIncrement			_WSSpageIncrement()
#define WSSsliderSize			_WSSsliderSize()
#define WSSvalue			_WSSvalue()
#define WSSmaximum			_WSSmaximum()
#define WSSorientation			_WSSorientation()
#define WSSbackPixmap			_WSSbackPixmap()
#define WSScolumns			_WSScolumns()
#define WSScursorPos			_WSScursorPos()
#define WSSmenuItems			_WSSmenuItems()
#define WSSmenuItemHeight			_WSSmenuItemHeight()
#define WSSbarShadowColor			_WSSbarShadowColor()
#define WSSupward			_WSSupward()
#define WSSdownward			_WSSdownward()
#define WSSleftward			_WSSleftward()
#define WSSrightward			_WSSrightward()
#define WSSreturn			_WSSreturn()
#define WSStab			_WSStab()
#define WSSbacktab			_WSSbacktab()
#define WSSenableFocusMove			_WSSenableFocusMove()
#define WSSclient			_WSSclient()
#define WSSselectReset			_WSSselectReset()
#define WSSselectString			_WSSselectString()
#define WSSselectColor			_WSSselectColor()
#define WSSselectForeColor			_WSSselectForeColor()
#define WSSselectPixmap			_WSSselectPixmap()
#define WSSindicatorPixmap			_WSSindicatorPixmap()
#define WSSindicatorColor			_WSSindicatorColor()
#define WSSindicatorOn			_WSSindicatorOn()
#define WSSindicatorType			_WSSindicatorType()
#define WSSindicatorSize			_WSSindicatorSize()
#define WSSgroup			_WSSgroup()
#define WSSid			_WSSid()
#define WSSunique			_WSSunique()
#define WSSscrollWidth			_WSSscrollWidth()
#define WSSscrollHeight			_WSSscrollHeight()
#define WSStitleHeight			_WSStitleHeight()
#define WSSfillSpace			_WSSfillSpace()
#define WSSifieldSkipMode			_WSSifieldSkipMode()
#define WSScursorAdjust			_WSScursorAdjust()
#define WSSdateFormat			_WSSdateFormat()
#define WSSweekFormat			_WSSweekFormat()
#define WSSclockFormat			_WSSclockFormat()
#define WSSsecondOn			_WSSsecondOn()
#define WSSdirName			_WSSdirName()
#define WSSfileName			_WSSfileName()
#define WSSmaskFileName			_WSSmaskFileName()
#define WSSreplyHandler			_WSSreplyHandler()
#define WSSdefaultPosition			_WSSdefaultPosition()
#define WSSlineWidth			_WSSlineWidth()
#define WSSblinkType			_WSSblinkType()
#define WSSpushPixmap			_WSSpushPixmap()
#define WSSblinkPixmap			_WSSblinkPixmap()
#define WSSmarginTop			_WSSmarginTop()
#define WSSmarginBottom			_WSSmarginBottom()
#define WSSmarginLeft			_WSSmarginLeft()
#define WSSmarginRight			_WSSmarginRight()
#define WSSalignmentH			_WSSalignmentH()
#define WSSalignmentV			_WSSalignmentV()
#define WSSalignmentH2			_WSSalignmentH2()
#define WSSalignmentV2			_WSSalignmentV2()
#define WSSlineX			_WSSlineX()
#define WSSlineY			_WSSlineY()
#define WSSlineNum			_WSSlineNum()
#define WSSvalue1			_WSSvalue1()
#define WSSvalue2			_WSSvalue2()
#define WSSlineType			_WSSlineType()
#define WSSarrowDirection			_WSSarrowDirection()
#define WSSblinkFlag			_WSSblinkFlag()
#define WSSblinkRate			_WSSblinkRate()
#define WSSstippled			_WSSstippled()
#define WSShatchPattern			_WSShatchPattern()
#define WSShatchColor			_WSShatchColor()
#define WSShatchBlinkColor			_WSShatchBlinkColor()
#define WSSbackColorFlag			_WSSbackColorFlag()
#define WSSbackBlinkColor			_WSSbackBlinkColor()
#define WSSreverseFlag			_WSSreverseFlag()
#define WSSminimum			_WSSminimum()
#define WSSangle1			_WSSangle1()
#define WSSangle2			_WSSangle2()
#define WSSarcType			_WSSarcType()
#define WSSdragInterval			_WSSdragInterval()
#define WSSindicatorShadow			_WSSindicatorShadow()
#define WSSemboss			_WSSemboss()
#define WSSmouse			_WSSmouse()
#define WSSusePixmap			_WSSusePixmap()
#define WSSenableInput			_WSSenableInput()
#define WSSok			_WSSok()
#define WSSno			_WSSno()
#define WSScancel			_WSScancel()
#define WSSokString			_WSSokString()
#define WSSnoString			_WSSnoString()
#define WSScancelString			_WSScancelString()
#define WSSmodal			_WSSmodal()
#define WSStype			_WSStype()
#define WSSmaxHeight			_WSSmaxHeight()
#define WSSmultiSelect			_WSSmultiSelect()
#define WSSreverseSelect			_WSSreverseSelect()
#define WSSmargin			_WSSmargin()
#define WSSname			_WSSname()
#define WSSuseIcon			_WSSuseIcon()
#define WSSiconPixmap			_WSSiconPixmap()
#define WSSvirtualScroll			_WSSvirtualScroll()
#define WSSnoHatch			_WSSnoHatch()
#define WSSselectDir			_WSSselectDir()
#define WSSgradation			_WSSgradation()
#define WSSgradation2			_WSSgradation2()
#define WSSgradationMargin		_WSSgradationMargin()
#define WSSshortcut			_WSSshortcut()
#define WSSreturnKeyFocus			_WSSreturnKeyFocus()
#define WSSexit			_WSSexit()
#define WSSitemHeight			_WSSitemHeight()
#define WSSdata			_WSSdata()
#define WSSdataSource			_WSSdataSource()
#define WSSdataSourceName			_WSSdataSourceName()
#define WSSanchorTop			_WSSanchorTop()
#define WSSanchorBottom			_WSSanchorBottom()
#define WSSanchorLeft			_WSSanchorLeft()
#define WSSanchorRight			_WSSanchorRight()
#define WSSanchorTopFlag			_WSSanchorTopFlag()
#define WSSanchorBottomFlag			_WSSanchorBottomFlag()
#define WSSanchorLeftFlag			_WSSanchorLeftFlag()
#define WSSanchorRightFlag			_WSSanchorRightFlag()
#define WSSflip			_WSSflip()
#define WSSframe			_WSSframe()
#define WSSformat			_WSSformat()
#define WSSworkX			_WSSworkX()
#define WSSworkY			_WSSworkY()
#define WSSdisplayOnly			_WSSdisplayOnly()
#define WSSrefreshing			_WSSrefreshing()
#define WSSvcolumns			_WSSvcolumns()
#define WSShcolumns			_WSShcolumns()
#define WSSseparator			_WSSseparator()
#define WSSfit			_WSSfit()
#define WSSip			_WSSip()
#define WSSport			_WSSport()
#define WSStimeout			_WSStimeout()
#define WSSexport			_WSSexport()
#define WSSusername			_WSSusername()
#define WSSpassword			_WSSpassword()
#define WSSdbname			_WSSdbname()
#define WSSdsn			_WSSdsn()
#define WSShostname			_WSShostname()
#define WSSstatus			_WSSstatus()
#define WSSdbTableName		_WSSdbTableName()
#define WSSshowItem		_WSSshowItem()
#define WSSsortItems		_WSSsortItems()
#define WSSsort  		_WSSsort()
#define WSSitem  		_WSSitem()
#define WSSfilter  		_WSSfilter()

#ifdef WS_USE_MOUSE_IMAGE
#define WSSmouseImg			_WSSmouseImg()
#endif


extern char* _WSStitleString();
extern char* _WSSuserString();
extern char* _WSSuserValue();
extern char* _WSSx();
extern char* _WSSy();
extern char* _WSSwidth();
extern char* _WSSheight();
extern char* _WSSshadowThickness();
extern char* _WSSbackColor();
extern char* _WSSforeColor();
extern char* _WSStopShadowColor();
extern char* _WSSbottomShadowColor();
extern char* _WSSshadowType();
extern char* _WSSvis();
extern char* _WSSdet();
extern char* _WSSlabelString();
extern char* _WSSfont();
extern char* _WSSfontName();
extern char* _WSStitleBar();
extern char* _WSStwinBlink();
extern char* _WSSblinkColor();
extern char* _WSSblinkRefreshing();
extern char* _WSSpixmapStyle();
extern char* _WSSlabelPixmap();
extern char* _WSSkanjiIn();
extern char* _WSSinterCur();
extern char* _WSSinterval();
extern char* _WSScont();
extern char* _WSSrunning();
extern char* _WSSextension();
extern char* _WSSmaxLength();
extern char* _WSSworkWidth();
extern char* _WSSworkHeight();
extern char* _WSSbarValue();
extern char* _WSSvbarValue();
extern char* _WSShbarValue();
extern char* _WSShbarVisible();
extern char* _WSSvbarVisible();
extern char* _WSSworkBackColor();
extern char* _WSSbarThickness();
extern char* _WSSincrement();
extern char* _WSSpageIncrement();
extern char* _WSSsliderSize();
extern char* _WSSvalue();
extern char* _WSSmaximum();
extern char* _WSSorientation();
extern char* _WSSbackPixmap();
extern char* _WSScolumns();
extern char* _WSScursorPos();
extern char* _WSSmenuItems();
extern char* _WSSmenuItemHeight();
extern char* _WSSbarShadowColor();
extern char* _WSSupward();
extern char* _WSSdownward();
extern char* _WSSleftward();
extern char* _WSSrightward();
extern char* _WSSreturn();
extern char* _WSStab();
extern char* _WSSbacktab();
extern char* _WSSenableFocusMove();
extern char* _WSSclient();
extern char* _WSSselectReset();
extern char* _WSSselectString();
extern char* _WSSselectColor();
extern char* _WSSselectForeColor();
extern char* _WSSselectPixmap();
extern char* _WSSindicatorPixmap();
extern char* _WSSindicatorColor();
extern char* _WSSindicatorOn();
extern char* _WSSindicatorType();
extern char* _WSSindicatorSize();
extern char* _WSSgroup();
extern char* _WSSid();
extern char* _WSSunique();
extern char* _WSSscrollWidth();
extern char* _WSSscrollHeight();
extern char* _WSStitleHeight();
extern char* _WSSfillSpace();
extern char* _WSSifieldSkipMode();
extern char* _WSScursorAdjust();
extern char* _WSSdateFormat();
extern char* _WSSweekFormat();
extern char* _WSSclockFormat();
extern char* _WSSsecondOn();
extern char* _WSSdirName();
extern char* _WSSfileName();
extern char* _WSSmaskFileName();
extern char* _WSSreplyHandler();
extern char* _WSSdefaultPosition();
extern char* _WSSlineWidth();
extern char* _WSSblinkType();
extern char* _WSSpushPixmap();
extern char* _WSSblinkPixmap();
extern char* _WSSmarginTop();
extern char* _WSSmarginBottom();
extern char* _WSSmarginLeft();
extern char* _WSSmarginRight();
extern char* _WSSalignmentH();
extern char* _WSSalignmentV();
extern char* _WSSalignmentH2();
extern char* _WSSalignmentV2();
extern char* _WSSlineX();
extern char* _WSSlineY();
extern char* _WSSlineNum();
extern char* _WSSvalue1();
extern char* _WSSvalue2();
extern char* _WSSlineType();
extern char* _WSSarrowDirection();
extern char* _WSSblinkFlag();
extern char* _WSSblinkRate();
extern char* _WSSstippled();
extern char* _WSShatchPattern();
extern char* _WSShatchColor();
extern char* _WSShatchBlinkColor();
extern char* _WSSbackColorFlag();
extern char* _WSSbackBlinkColor();
extern char* _WSSreverseFlag();
extern char* _WSSminimum();
extern char* _WSSangle1();
extern char* _WSSangle2();
extern char* _WSSarcType();
extern char* _WSSdragInterval();
extern char* _WSSindicatorShadow();
extern char* _WSSemboss();
extern char* _WSSmouse();
extern char* _WSSusePixmap();
extern char* _WSSenableInput();
extern char* _WSSok();
extern char* _WSSno();
extern char* _WSScancel();
extern char* _WSSokString();
extern char* _WSSnoString();
extern char* _WSScancelString();
extern char* _WSSmodal();
extern char* _WSStype();
extern char* _WSSmaxHeight();
extern char* _WSSmultiSelect();
extern char* _WSSreverseSelect();
extern char* _WSSmargin();
extern char* _WSSname();
extern char* _WSSuseIcon();
extern char* _WSSiconPixmap();
extern char* _WSSvirtualScroll();
extern char* _WSSnoHatch();
extern char* _WSSselectDir();
extern char* _WSSgradation();
extern char* _WSSgradation2();
extern char* _WSSgradationMargin();
extern char* _WSSshortcut();
extern char* _WSSreturnKeyFocus();
extern char* _WSSexit();
extern char* _WSSitemHeight();
extern char* _WSSdata();
extern char* _WSSdataSource();
extern char* _WSSdataSourceName();
extern char* _WSSanchorTop();
extern char* _WSSanchorBottom();
extern char* _WSSanchorLeft();
extern char* _WSSanchorRight();
extern char* _WSSanchorTopFlag();
extern char* _WSSanchorBottomFlag();
extern char* _WSSanchorLeftFlag();
extern char* _WSSanchorRightFlag();
extern char* _WSSflip();
extern char* _WSSframe();
extern char* _WSSformat();
extern char* _WSSworkX();
extern char* _WSSworkY();
extern char* _WSSdisplayOnly();
extern char* _WSSrefreshing();
extern char* _WSSvcolumns();
extern char* _WSShcolumns();
extern char* _WSSseparator();
extern char* _WSSfit();
extern char* _WSSip();
extern char* _WSSport();
extern char* _WSStimeout();
extern char* _WSSexport();
extern char* _WSSusername();
extern char* _WSSpassword();
extern char* _WSSdbname();
extern char* _WSSdsn();
extern char* _WSShostname();
extern char* _WSSstatus();
extern char* _WSSdbTableName();
extern char* _WSSshowItem();
extern char* _WSSsortItems();
extern char* _WSSsort();
extern char* _WSSitem();
extern char* _WSSfilter();

#ifdef WS_USE_MOUSE_IMAGE
extern char* _WSSmouseImg();
#endif


#endif
